---
id: omit-word-synonyms-directions
title: _OmitWordSynonymsDirections
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type _OmitWordSynonymsDirections {
  synonymOf(
    first: Int = 0
    offset: Int = 0
    orderBy: [_SynonymOrdering] = []
    filter: _SynonymFilter
  ): [_OmitWordSynonyms]
  synonym(
    first: Int = 0
    offset: Int = 0
    orderBy: [_SynonymOrdering] = []
    filter: _SynonymFilter
  ): [_OmitWordSynonyms]
}
```

### Fields

#### `synonymOf` ([`[_OmitWordSynonyms]`](/docs/api/objects/omit-word-synonyms))

Field for the GeneSymbol node this SYNONYM [relationship](https://grandstack.io/docs/graphql-relationship-types) is coming from.

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_SynonymOrdering]`](/docs/api/enums/synonym-ordering))

- ##### `filter` ([`_SynonymFilter`](/docs/api/inputs/synonym-filter))

#### `synonym` ([`[_OmitWordSynonyms]`](/docs/api/objects/omit-word-synonyms))

Field for the GeneSymbol node this SYNONYM [relationship](https://grandstack.io/docs/graphql-relationship-types) is going to.

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_SynonymOrdering]`](/docs/api/enums/synonym-ordering))

- ##### `filter` ([`_SynonymFilter`](/docs/api/inputs/synonym-filter))
